package refs_test

import (
	"testing"

	refstest "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/refs/test"
	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/rpc/message"
	messagetest "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/rpc/message/test"
)

func TestMessageConvert(t *testing.T) {
	messagetest.TestRPCMessage(t,
		func(empty bool) message.Message { return refstest.GenerateOwnerID(empty) },
		func(empty bool) message.Message { return refstest.GenerateObjectID(empty) },
		func(empty bool) message.Message { return refstest.GenerateContainerID(empty) },
		func(empty bool) message.Message { return refstest.GenerateAddress(empty) },
		func(empty bool) message.Message { return refstest.GenerateChecksum(empty) },
		func(empty bool) message.Message { return refstest.GenerateSignature(empty) },
		func(empty bool) message.Message { return refstest.GenerateVersion(empty) },
	)
}
